JSON Input Format

NLP API input documents as JSON. This format can be used to submit multiple documents to NLP API in a single file (one part of a mime multipart body).

Example

A request body with one document
[
{
"id": "1",
"category": "Clinical",
"subcategory": "generic",
"text": "The patient reports that he has a headache, a fever and a stiff neck. He has a history of depression. His mother has lung cancer."
}
]

InputDocuments

Type: array of InputDocument.

InputDocument

PropertyTypeRequiredDescription
idDocumentID (API schema)yesAn identifier for the document, unique within a submission.
typeDocumentType (API schema)no
categoryDocumentCategory (API schema)no
subcategoryDocumentSubcategory (API schema)no
process_with_section_labelsProcessWithSectionLabelsArray (API schema)no
textDocumentText (API schema)yes